View Issue Details

IDProjectCategoryView StatusLast Update
0002703PartDesignFeaturepublic2019-09-11 19:34
ReporternokianAssigned Towmayer 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target VersionFixed in Version 
Summary0002703: Add setting to disable automatic workbench switching
DescriptionWhen I rightclick on a "Body" Item in the model tree and click "Toggle active body" FreeCAD automatically switches to the "PartDesign" (Next) - Workbench and to the "Tasks" view.

This behaviour is not always useful when using Custom Workbenches.
http://forum.freecadweb.org/viewtopic.php?p=137942
Steps To Reproduce1. In PartDesign Next press "Create a new body and make it active" TWO times
2. Switch to any other workbench.
3. Right-Click on the inactive Body in the model tree
4. Choose "Toggle Active Body"
Additional InformationOS: Linux
Version: 0.17.8448 (Git)
Build type: Release

Tags#lowhangingfruit

Activities

normandc

2016-10-15 21:03

manager   ~0007378

Considering the ensuing discussion in the linked topic, shouldn't this bug report be reworded? For example, "Add setting to disable automatic workbench switching". I very much like automatic workbench switching and would not want it to be prevented as the current bug description suggests.

nokian

2016-10-15 21:45

reporter   ~0007381

You are right, I should have named it like this. Maybe @DeepSOIC can change the title.

normandc

2016-10-15 21:52

manager   ~0007382

As discussed, changed description from "Prevent automatic workbench switching".

openBrain

2019-09-08 16:32

developer   ~0013556

PR submitted

wmayer

2019-09-11 19:34

administrator   ~0013579

Fix committed to master branch.

Related Changesets

FreeCAD: master 2756d46a

2019-09-08 16:09:29

0penBrain


Committer: wmayer Details Diff
PartDesign : make possible to prevent auto-switching to PartDesign WB when a Body is activated
* Use a boolean parameter located at BaseApp/Preferences/Mod/PartDesign/SwitchToWB
* resolves 0002703
Affected Issues
0002703
mod - src/Mod/PartDesign/Gui/ViewProviderBody.cpp Diff File

Issue History

Date Modified Username Field Change
2016-09-18 16:03 nokian New Issue
2016-09-18 18:48 DeepSOIC Product Version => 0.17
2016-10-15 21:03 normandc Note Added: 0007378
2016-10-15 21:45 nokian Note Added: 0007381
2016-10-15 21:52 normandc Note Added: 0007382
2016-10-15 21:52 normandc Summary Prevent automatic workbench switching => Add setting to disable automatic workbench switching
2017-02-02 00:41 Kunda1 Tag Attached: #lowhangingfruit
2019-09-08 16:32 openBrain Note Added: 0013556
2019-09-09 13:19 openBrain Assigned To => openBrain
2019-09-09 13:19 openBrain Status new => assigned
2019-09-11 19:34 wmayer Changeset attached => FreeCAD master 2756d46a
2019-09-11 19:34 wmayer Note Added: 0013579
2019-09-11 19:34 wmayer Assigned To openBrain => wmayer
2019-09-11 19:34 wmayer Status assigned => closed
2019-09-11 19:34 wmayer Resolution open => fixed